Games
Complete a stamp card
Closes a filled stamp card and issues its reward.
POST
/{locale}/shop/games/{id}/completeCloses a filled stamp card and issues its reward.
Authorization
apiKey apiSecret X-API-Key<token>
Partner API key from the Partners Portal. Always sent together with X-API-Secret.
In: header
X-API-Secret<token>
Partner API secret. Always sent together with X-API-Key.
In: header
Path Parameters
locale*string
Locale code
Value in
- "lt"
- "en"
id*integer
Game ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/lt/shop/games/1/complete" \ -H "Content-Type: application/json" \ -d '{ "card_id": 45 }'{ "success": true, "code": 200, "request_id": "550e8400-e29b-41d4-a716-446655440000", "message": "Success message", "data": {}}